#ifndef  _ROTDIAL_H_
#define  _ROTDIAL_H_


#define SAMAPP_FingerStop_SIZE (1178)
#define SAMAPP_CallIcon (2311)
#define SAMAPP_CallCancelIcon (2129)
#define SAMAPP_YellowBall_20x20   (528)
#define SAMAPP_YellowBall_30x30   (1006)
#define SAMAPP_YellowBall_40x40	  (1556)
#define SAMAPP_YellowBall_60x60   (3085)


/* sample app structure definitions */
typedef struct SAMAPP_Bitmap_header
{
	ft_uint8_t Format;
	ft_int16_t Width;
	ft_int16_t Height;
	ft_int16_t Stride;
	ft_int32_t Arrayoffset;
}SAMAPP_Bitmap_header_t;

typedef struct SAMAPP_RotaryDial_Bmps
{
	ft_int16_t xOffset;
	ft_int16_t yOffset;
	ft_char8_t xDiff;
	ft_char8_t yDiff;

}SAMAPP_RotaryDial_Bmps_t;

extern SAMAPP_Bitmap_header_t  SAMAPP_Bitmap_RawData_Header[];
extern ft_int32_t SAMAPP_Uncompressed_FileSize[];

#if defined(FT900_PLATFORM)
extern ft_uint8_t FingerStop[];
extern ft_uint8_t Call[];
extern ft_uint8_t CallCancel[];
extern ft_uint8_t YellowBall20x20[];
extern ft_uint8_t YellowBall30x30[];
extern ft_uint8_t YellowBall40x40[];
extern ft_uint8_t YellowBall60x60[];
#else
extern FT_PROGMEM ft_prog_uchar8_t FingerStop[];
extern FT_PROGMEM ft_prog_uchar8_t Call[];
extern FT_PROGMEM ft_prog_uchar8_t CallCancel[];
extern FT_PROGMEM ft_prog_uchar8_t YellowBall20x20[];
extern FT_PROGMEM ft_prog_uchar8_t YellowBall30x30[];
extern FT_PROGMEM ft_prog_uchar8_t YellowBall40x40[];
extern FT_PROGMEM ft_prog_uchar8_t YellowBall60x60[];
#endif

#define SAMAPP_FingerStop_SIZE (1178)
#define SAMAPP_CallIcon (2311)
#define SAMAPP_CallCancelIcon (2129)
#define SAMAPP_YellowBall_20x20   (528)
#define SAMAPP_YellowBall_30x30   (1006)
#define SAMAPP_YellowBall_40x40	  (1556)
#define SAMAPP_YellowBall_60x60   (3085)

ft_void_t SAMAPP_fadeout();
ft_void_t SAMAPP_fadein();
ft_int16_t SAMAPP_qsin(ft_uint16_t a);
ft_int16_t SAMAPP_qcos(ft_uint16_t a);




ft_void_t Rotary_Dial_phone();


#endif /* _ROTDIAL_H_ */

/* Nothing beyond this */








